Reference

get
Query parameters
tokenInstringRequired

The tokenIn address

Example: 0xb8ce59fc3717ada4c02eadf9682a9e934f625ebbPattern: ^0x(.*)$
tokenOutstringRequired

The tokenOut address

Example: 0x0000000000000000000000000000000000000000Pattern: ^0x(.*)$
amountany ofRequired

The amount of tokenIn used in the swap

Example: 100000
string · numericOptional
or
numberOptional

The amount of tokenIn used in the swap

Example: 100000
tostringOptional

The address to send the output to

Example: 0x009aB009A009Ab009A009aB009a009ab009A009aPattern: ^0x(.*)$
maxSlippageany of · max: 1Required

The maximum slippage allowed in the swap as a decimal fraction, for example 0.005 for 0.5% slippage. 0 < maxSlippage < 1

Default: 0.01Example: 0.01
string · numericOptionalDefault: 0
or
number · max: 1Optional

The maximum slippage allowed in the swap as a decimal fraction, for example 0.005 for 0.5% slippage. 0 < maxSlippage < 1

Default: 0.01Example: 0.01
simulatebooleanOptional

Whether to simulate the quotes

Example: true
referralCodeany ofOptional

The referral code to use in the swap

Example: 1234567890
string · numericOptionalDefault: 0
or
numberOptional

The referral code to use in the swap

Example: 1234567890
Responses
chevron-right
200Success
amountInbigintRequired

The amount of tokenIn used in the swap

Example: 100000
aggregatorstringRequired

The aggregator used in the swap

Example: oogaBooga
amountOutbigintRequired

The amount of tokenOut quoted by the dex-aggregator provider

Example: 2450337340878051
minAmountOutbigintRequired

The minimum amount of tokenOut that will be received in the swap calculated from the simulationAmountOut and maxSlippage provided

Example: 2450337340878051
simulationAmountOutbigintOptional

The amount of tokenOut received in the on-chain simulation and encoded in the transaction

Example: 2450337340878051
priceImpactany of · nullableRequired
numberOptional

The price impact of the swap, in basis points, for example 0.0004 for 0.04%

Example: -0.0004537756539829
or
nullOptional
feebigintRequired

The fee paid in the swap denominated in outputToken wei

Example: 100000
gasbigintOptional

The gas used in the swap

Example: 358339
valuebigintRequired

The value sent in the swap

Example: 0
routerAddrstringOptional

The router address used in the swap. Only shown if recipient is provided

Example: 0x5fbD1B5AA82d09359C05428647871fe9aDd3F411Pattern: ^0x(.*)$
calldatastringOptional

The calldata used in the swap. Only shown if recipient is provided

Example: 0x1234567890123456789012345678901234567890
statusconst: SuccessRequired

The status of the swap

Example: Success
get
/meta/swap
get
Responses
chevron-right
200

List of available aggregators

idstringRequired

The unique identifier of the aggregator

Example: oogaBooga
displayNamestringRequired

The display name of the aggregator

Example: OOGA BOOGA
logoUrlstringRequired

The URL to the aggregator logo

Example: https://assets-agg.oogabooga.io/oogaBooga.svg
get
/meta/aggregators
200

List of available aggregators

Stream real-time swap quotes

get

Establishes a Server-Sent Events (SSE) stream that provides real-time swap quotes from multiple aggregators. The stream emits various event types including connection status, quotes, errors, heartbeats, and completion notifications.

Query parameters
tokenInstringRequired

The tokenIn address

Example: 0xb8ce59fc3717ada4c02eadf9682a9e934f625ebbPattern: ^0x(.*)$
tokenOutstringRequired

The tokenOut address

Example: 0x0000000000000000000000000000000000000000Pattern: ^0x(.*)$
amountany ofRequired

The amount of tokenIn used in the swap

Example: 100000
string · numericOptional
or
numberOptional

The amount of tokenIn used in the swap

Example: 100000
tostringOptional

The address to send the output to

Example: 0x009aB009A009Ab009A009aB009a009ab009A009aPattern: ^0x(.*)$
maxSlippageany of · max: 1Required

The maximum slippage allowed in the swap as a decimal fraction, for example 0.005 for 0.5% slippage. 0 < maxSlippage < 1

Default: 0.01Example: 0.01
string · numericOptionalDefault: 0
or
number · max: 1Optional

The maximum slippage allowed in the swap as a decimal fraction, for example 0.005 for 0.5% slippage. 0 < maxSlippage < 1

Default: 0.01Example: 0.01
simulatebooleanOptional

Whether to simulate the quotes

Example: true
referralCodeany ofOptional

The referral code to use in the swap

Example: 1234567890
string · numericOptionalDefault: 0
or
numberOptional

The referral code to use in the swap

Example: 1234567890
Responses
chevron-right
200

SSE stream of quote events

text/event-stream
stringOptional

Server-Sent Events formatted string containing quote data

Example: event: connected data: {"message":"Connected to quote stream","aggregators":["hyperBloom","oogaBooga"]}
get
/meta/stream/swap
200

SSE stream of quote events

Last updated